#
#
#

SUMMARY = "Bazel: Correct, reproducible, and fast builds for everyone."

LICENSE = "Apache-2.0"

LIC_FILES_CHKSUM = "file://LICENSE.txt;md5=3b83ef96387f14655fc854ddc3c6bd57"

#FILESEXTRAPATHS_prepend := "${THISDIR}/${PN}-${PV}:"

SRC_URI = "https://github.com/bazelbuild/bazel/releases/download/${PV}/${PN}-${PV}-dist.zip"

SRC_URI[md5sum] = "e45ff9b31bc3c811167ab85930bd6378"
SRC_URI[sha256sum] = "2b737be42678900470ae9e48c975ac5b2296d9ae23c007bf118350dbe7c0552b"

# Make sure our source directory (for the build) matches the directory structure in the tarball
#S = "${WORKDIR}/${PN}-${PV}"

DEPENDS = "openjdk-8"

#inherit java-library

do_fetch () {
        wget ${SRC_URI} -O ${DL_DIR}/${PN}-${PV}-dist.zip 
}

do_unpack () {
        unzip -o ${DL_DIR}/${PN}-${PV}-dist.zip -d ${S}
}

do_configure () {
        :
}

do_compile () {
	#export JAVA_HOME=/home/giuseppe/research/projects/zynq/yocto/build/tmp/work/zc702_zynq7-poky-linux-gnueabi/core-image-minimal/1.0-r0/rootfs/usr/lib/jvm/openjdk-8
        bash ./compile.sh
        :
}

do_install () {
	:
}

